%{!?tcl_version: %define tcl_version %(echo 'puts $tcl_version' | tclsh)}
%{!?tcl_sitearch: %define tcl_sitearch %{_libdir}/tcl%{tcl_version}}

Name:           tk-tktreectrl
Version:        2.2.3
Release:        5%{?dist}
Summary:        Flexible listbox widget for Tk

Group:          Development/Libraries
License:        TCL
URL:            http://tktreectrl.sourceforge.net/
Source0:        http://downloads.sourceforge.net/sourceforge/tktreectrl/tktreectrl-%{version}.tar.gz
Patch0:         tktreectrl-2.2.3-pkgdir.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  tk-devel
Requires:       tcl(abi) = 8.5 tk
Provides:       tktreectrl = %{version}-%{release}

%description
A flexible listbox widget for Tk.

%prep
%setup -q -n tktreectrl-%{version}
%patch0 -p1
chmod -x doc/* README.txt license.terms ChangeLog
chmod -x generic/*.c generic/*.h
sed -i -e 's/\r//' doc/W*.html


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT%{tcl_sitearch}/treectrl%{version}/htmldoc

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc license.terms README.txt ChangeLog doc/*.html
%{tcl_sitearch}/treectrl%{version}
%{_mandir}/mann/*.gz


%changelog
* Sat Feb 9 2008 Wart <wart at kobold.org> - 2.2.3-5
- Rebuild for gcc 4.3

* Sun Jan 6 2008 Wart <wart at kobold.org> - 2.2.3-4
- Add patch to install package into the correct directory

* Fri Jan 4 2008 Wart <wart at kobold.org> - 2.2.3-3
- Rebuild for Tcl 8.5

* Thu Aug 23 2007 Wart <wart at kobold.org> - 2.2.3-2
- License tag clarification

* Thu Jun 21 2007 Wart <wart at kobold.org> - 2.2.3-1
- Update to 2.2.3

* Thu Dec 14 2006 Wart <wart at kobold.org> - 2.2.1-1
- Update to 2.2.1

* Wed Nov 29 2006 Wart <wart at kobold.org> - 2.2-1
- Initial package for Fedora
